Bug 250195 - [NEW PORT] dns/encrypted-dns-server: zero maintenance encrypted DNS proxy
Summary: [NEW PORT] dns/encrypted-dns-server: zero maintenance encrypted DNS proxy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-08 04:09 UTC by Felix Hanley
Modified: 2020-11-12 17:38 UTC (History)
1 user (show)

See Also:


Attachments
New port diff (34.00 KB, patch)
2020-10-08 04:09 UTC, Felix Hanley
no flags Details | Diff
New port diff (34.01 KB, patch)
2020-10-08 09:28 UTC, Felix Hanley
no flags Details | Diff
New port diff (34.15 KB, patch)
2020-10-08 23:46 UTC, Felix Hanley
no flags Details | Diff
New port diff (35.31 KB, patch)
2020-10-13 21:37 UTC, Felix Hanley
no flags Details | Diff
Updated port diff (35.67 KB, patch)
2020-11-02 11:49 UTC, Felix Hanley
no flags Details | Diff
New port diff (35.61 KB, patch)
2020-11-08 10:34 UTC, Felix Hanley
no flags Details | Diff
New port diff (35.65 KB, patch)
2020-11-08 22:03 UTC, Felix Hanley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Hanley 2020-10-08 04:09:21 UTC
Created attachment 218605 [details]
New port diff

A couple of points:

- I am not sure what the policy is for including a modified sample config but I had to make some adjustments for it to work out of the box. Let me know.
- The latest tag on the source repo does not build, this is taken from the latest commit.
Comment 1 Felix Hanley 2020-10-08 09:28:34 UTC
Created attachment 218608 [details]
New port diff

Fixed the rc binary name
Comment 2 Felix Hanley 2020-10-08 23:46:24 UTC
Created attachment 218620 [details]
New port diff

Add the prometheus metrics option
Comment 3 Felix Hanley 2020-10-13 21:37:42 UTC
Created attachment 218724 [details]
New port diff

Updates to work around the inability to run as a daemon with Prometheus metrics.
Comment 4 Felix Hanley 2020-11-02 11:49:19 UTC
Created attachment 219302 [details]
Updated port diff

Update port to 0.3.20 which is mainly just updated deps. This doesn't fix the daemon issue but is a tagged release.
Comment 5 Mikael Urankar freebsd_committer 2020-11-07 17:02:30 UTC
You can remove Created by, it's deprecated
You can replace ${PREFIX}/etc/encrypted-dns with ${ETCDIR}
Can you move the post-install target at the end of the Makefile?
Can you run portclippy (ports-mgmt/portfmt) on your Makefile?
Can you run rclint on you startup script?
Comment 6 Felix Hanley 2020-11-08 10:34:38 UTC
Created attachment 219450 [details]
New port diff
Comment 7 Felix Hanley 2020-11-08 22:03:23 UTC
Created attachment 219474 [details]
New port diff
Comment 8 Felix Hanley 2020-11-08 22:05:37 UTC
(In reply to Mikael Urankar from comment #5)
> You can remove Created by, it's deprecated
Done

> You can replace ${PREFIX}/etc/encrypted-dns with ${ETCDIR}
The it is ${PREFIX}/etc/encrypted-dns-server which I think is too long.

> Can you move the post-install target at the end of the Makefile?
I want to copy a custom config file.

> Can you run portclippy (ports-mgmt/portfmt) on your Makefile?
Done

> Can you run rclint on you startup script?
Done
Comment 9 commit-hook freebsd_committer 2020-11-12 17:37:46 UTC
A commit references this bug:

Author: mikael
Date: Thu Nov 12 17:37:21 UTC 2020
New revision: 554980
URL: https://svnweb.freebsd.org/changeset/ports/554980

Log:
  dns/encrypted-dns-server: create port

  An easy to install, high-performance, zero maintenance proxy to run an
  encrypted DNS server.

  WWW: https://github.com/jedisct1/encrypted-dns-server

  PR:		250195
  Submitted by:	Felix Hanley <felix@userspace.com.au>

Changes:
  head/GIDs
  head/UIDs
  head/dns/Makefile
  head/dns/encrypted-dns-server/
  head/dns/encrypted-dns-server/Makefile
  head/dns/encrypted-dns-server/distinfo
  head/dns/encrypted-dns-server/files/
  head/dns/encrypted-dns-server/files/encrypted-dns.toml.sample
  head/dns/encrypted-dns-server/files/encrypted_dns.in
  head/dns/encrypted-dns-server/pkg-descr
Comment 10 Mikael Urankar freebsd_committer 2020-11-12 17:38:17 UTC
Thanks!